cantor (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:04:45 +0100

cantor (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:48:18 +0100

cantor (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:27:10 +0100

cantor (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:02:06 +0100

cantor (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:07 +0100

cantor (4:25.04.2-3ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of analitza.
    - Apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 Jun 2025 06:05:06 +0100

cantor (4:25.04.2-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Demote sagemath again, to Suggests, according to policy §2.2.1

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 18 Jun 2025 23:42:16 +0200

cantor (4:25.04.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Demote sagemath to Recommends since it’s not available in trixie.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 18 Jun 2025 09:11:13 +0200

cantor (4:25.04.2-1ubuntu2) questing; urgency=medium

  * Drop sagemath back to suggests for that backend.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Jun 2025 23:10:47 +0100

cantor (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of analitza.
    - Apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Jun 2025 17:20:55 +0100

cantor (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Add missing include to fix LaTeX typesetting. (kde#490644)
  * New upstream release (25.04.2).
    - Translation fixes.
  * Add missing build dependency on cups for printing support.
  * Switch texlive recommended dependency to texlive-plain-generic, it
    contains ulem.sty required for the rendering in Cantor.
  * Make backends depend on the binaries they need to work.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jun 2025 15:35:25 +0200

cantor (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:36:46 +0100

cantor (4:25.04.1-0ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 06:06:27 +0200

cantor (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)
  * Apparmor profile to fix userns.

 -- Rik Mills <rikmills@kde.org>  Thu, 08 May 2025 12:09:31 +0100

cantor (4:25.04.0-1) unstable; urgency=medium

  * New upstream release.
  * Mark libcantorlibs28abi2 as Multi-Arch: same, and libcantorlibs-data as
    Multi-Arch: foreign.
  * Update debian/copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Apr 2025 09:18:42 +0200

cantor (4:24.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Remove 11 obsolete maintscript entries in 10 files.
  * CI: update/simplify configuration.
  * Drop breaks/replaces for existing packages with versions older than what is
    in Debian Bullseye.

 -- Pino Toscano <pino@debian.org>  Thu, 20 Mar 2025 07:26:06 +0100

cantor (4:24.12.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reupload source-only.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:42:11 +0100

cantor (4:24.12.2-1) unstable; urgency=medium

  [ Salvo 'LtWorf' Tomaselli ]
  * New upstream release
  * New build depends

  [ Aurélien COUDERC ]
  * New upstream release (24.12.2). (Closes: #1093753)
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Drop obsolete patch.
  * Adapt packaging to various optional build dependencies being
    available or not on various architectures.
  * Switch to declarative dh-sequence-kf6 and dh-sequence-pkgkde-
    symbolshelper debhelper sequences.
  * Update project homepage.
  * Update the list of installed files.
  * Bump Debian ABI since upstream removed some symbols with the Qt6
    transition but didn’t do it.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2025 17:44:32 +0100

cantor (4:22.12.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062040

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:45:28 +0000

cantor (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:09 +0100

cantor (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:58:35 +0100

cantor (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Update symbols from build for 22.12.0.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:18 +0100

cantor (4:22.04.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Drop the unused ${shlibs:Depends} substvar from libcantor-dev.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jul 2022 05:52:58 +0200

cantor (4:22.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2022 08:01:07 +0200

cantor (4:22.04.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes build with KSyntaxHighlighting 5.94.0+ (Closes: #1012535)
  * Bump Standards-Version to 4.6.1, no changes required.
  * Update symbols file.
  * The cantorlibs library broke ABI without an SONAME bump (sigh); hence,
    apply the DebianABIManager to do a local SONAME bump:
    - add patch enable_debianabimanager.diff
    - rename libcantorlibs28 to libcantorlibs28abi1
    - update install & symbols files accordingly
  * Split the data of libcantorlibs to a separate data package, so there are
    less conflicts on upgrades:
    - create a new libcantorlibs-data arch:all binary package with the data
      files of libcantorlibs28abi1
    - make libcantorlibs28abi1 depend on libcantorlibs-data
    - adjust the breaks/replaces in libcantorlibs28abi1 & libcantorlibs-data

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jun 2022 09:03:31 +0200

cantor (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - discount-build-verbose.diff: drop, fixed upstream
  * Replace the python3-dev build dependency with libpython3-dev: cantor builds
    a plugin using the Python library, so explicitly using the library -dev
    should make the situation more explicit.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 12:22:29 +0100

cantor (4:21.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release.

  [ Stéphane Glondu ]
  * Drop the julia backend (Closes: #1000949)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Dec 2021 10:25:03 +0100

cantor (4:21.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * libqalculate >= 3.8.0 is available in unstable now, so:
    - bump the libqalculate-dev build dependency to 3.8.0, matching the
      upstream build system requirement
    - drop patch debian-lower-libqalculate.diff, no more needed
  * Drop the breaks/replaces for versions older than Debian Buster.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Oct 2021 06:21:16 +0200

cantor (4:21.08.0-2) unstable; urgency=medium

  * Team upload.
  * Temporarily lower the libqalculate requirement, as what is currently in
    unstable should be enough; patch debian-lower-libqalculate.diff.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Make sure to have strict dependencies on the library package.
  * Add Build-Depends-Package in symbols file.
  * Fix the section of a couple of binaries:
    - libcantorlibs28 must be 'libs', as it is a shared library
    - libcantor-dev must be 'libdevel', as it contains development files for a
      shared library

 -- Pino Toscano <pino@debian.org>  Sun, 22 Aug 2021 12:49:36 +0200

cantor (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Update build-deps and deps with the info from cmake
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:29:11 +0900

cantor (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 13:37:52 +0900

cantor (4:20.12.1-5) unstable; urgency=medium

  [ Norbert Preining ]
  * Add missing breaks (Closes: #988283)

 -- Norbert Preining <norbert@preining.info>  Wed, 19 May 2021 16:16:20 +0900

cantor (4:20.12.1-4) unstable; urgency=medium

  [ John Scott ]
  * Patch the Sage backend to work around issue in the SageMath package.
    (Addresses: #972346)
  * Update docs to reflect that Sage is in Debian now. (Closes: #980318)

 -- Norbert Preining <norbert@preining.info>  Tue, 02 Feb 2021 11:03:04 +0900

cantor (4:20.12.1-3) unstable; urgency=medium

  * Revert changes of previous version, not buildable.

 -- Norbert Preining <norbert@preining.info>  Sat, 16 Jan 2021 20:02:07 +0900

cantor (4:20.12.1-2) experimental; urgency=medium

  * Enable the Julia backend for other archs where Julia is built.

 -- Norbert Preining <norbert@preining.info>  Fri, 15 Jan 2021 13:05:22 +0900

cantor (4:20.12.1-1) experimental; urgency=medium

  * Update Maintainer name part.
  * New upstream release (20.12.1).
  * Add symbols file.
  * Add symbols helper to d/rules dh invocation.

 -- Norbert Preining <norbert@preining.info>  Tue, 12 Jan 2021 10:02:17 +0900

cantor (4:20.12.0-2) experimental; urgency=medium

  * Ship development files and split out shared library into separate
    packages.
  * Remove Maxy from uploaders, thanks for your work. Add myself.

 -- Norbert Preining <norbert@preining.info>  Tue, 05 Jan 2021 07:20:05 +0900

cantor (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Drop superseeded patch find-newer-python.diff.
  * Deregister all the /etc/xdg/*.knsrc files, moved.
  * Update upstream metadata.

 -- Norbert Preining <norbert@preining.info>  Tue, 15 Dec 2020 12:13:05 +0900

cantor (4:20.08.3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Nov 2020 00:21:24 +0100

cantor (4:20.08.3-2) experimental; urgency=medium

  * Team upload.
  * Enable the Julia backend, only on amd64 for now: (Closes: #808001)
    - add a new cantor-backend-julia package, mentioning it in suggests and
      descriptions
    - add the julia, and libjulia-dev build dependencies
    - remove debian/not-installed, no more needed now
  * Make the discount build verbose; patch discount-build-verbose.diff.
  * Update lintian overrides.
  * Export CFLAGS including CPPFLAGS during build, so the discount copy is
    configured, and built with all the right build flags.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 19 Nov 2020 09:36:42 +0100

cantor (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove the armhf, i386, and powerpc architectures from
    cantor-backend-scilab, as it will not be supported anymore soon on those
    architectures. (Closes: #973703)
  * Find also Python 3.9 and Python 3.10; patch find-newer-python.diff.
    (Closes: #972764)
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Re-export upstream signing key without extra signatures.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Nov 2020 13:02:39 +0100

cantor (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 08:38:45 +0200

cantor (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch back the scilab-cli suggest in cantor-backend-scilab to a
    dependency, as scilab was fixed in the meanwhile.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.8.0
    - add libpoppler-qt5-dev
  * Update install files
    - fold libcantor-pythonbackend into cantor-backend-python3, and drop it;
      add proper breaks/replaces
  * Unregister /etc/xdg/cantor_python3.knsrc as conffile, as it was renamed.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks,
      and the strict shlibs handling
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - drop the dh_makeshlibs override, as -V is done by default
  * Add Rules-Requires-Root: no.
  * Add a debian/not-installed with the files of the not yet shipped julia
    backend.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jun 2020 12:46:05 +0200

cantor (4:19.08.3-2) unstable; urgency=medium

  * Team upload.
  * Update watch file to the new release-service location.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Demote the scilab-cli dependency in cantor-backend-scilab to a suggest,
    as scilab currently FTBFSes in Debian. (Closes: #958189)

 -- Pino Toscano <pino@debian.org>  Sun, 19 Apr 2020 17:01:37 +0200

cantor (4:19.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop the Python 2 backend, as Python 2 will be removed from Debian:
    (Closes: #936271)
    - drop the cantor-backend-python2 binary
    - remove the python-dev build dependency
    - remove the cantor-backend-python2 suggest in cantor, and stop mentioning
      it in the description
  * Update almost all the URLs to https:
    - use the actual homepage of Qalculate
    - leave the homepage of Maxima as http, as https is not supported

 -- Pino Toscano <pino@debian.org>  Wed, 13 Nov 2019 21:47:09 +0100

cantor (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Drop the migration from cantor-dbg, no more needed after two Debian stable
    releases.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - explicitly add gettext
  * Remove more development stuff.
  * Add the configuration for the CI on salsa.
  * Remove old cantor-backend-python2 breaks/replaces, older than oldstable.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Oct 2019 07:15:15 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libcantorlibs28abi2`.
